EDIT - feature request #9575

Allow flag to include authors in taxon and name search in TaxEditor

03/31/2021 12:17 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

In #6128 the possibility to include authors were added to the according service. We should also allow in TaxEditor default search to

include authors via a flag similar to the "unpublished taxa" flag

Related issues:

Related to EDIT - feature request #9561: In name and taxon search if titleCac...

Follows EDIT - feature request #6128: Include authorship in taxon search web ...

Closed
Closed

Associated revisions

Revision 5e985bbc - 04/28/2021 01:50 PM - Katja Luther
ref #9575: adapt findTaxaAndNames for doAuthors, add test case

Revision 6b8fd990 - 04/28/2021 01:53 PM - Katja Luther
ref #9575: add possibility to search with authors

Revision c3afc00d - 04/28/2021 08:28 PM - Andreas Miiller

ref #9575 adapt tests for editor search with authors

Revision ae8c38b6 - 04/29/2021 08:09 AM - Katja Luther

ref #9575: add possibility to search with authors - missing 110n files

Revision 2732777a - 04/29/2021 08:15 AM - Katja Luther
ref #9575: revert test adaption

Revision 21198df4 - 04/29/2021 08:43 AM - Katja Luther
ref #9575: test adaption

Revision 42b9869e - 05/07/2021 11:36 AM - Katja Luther

ref #9575: correct handling of author flag for taxon search

History

#1 - 03/31/2021 12:17 PM - Andreas Miiller

- Related to feature request #9561: In name and taxon search if titteCache is protected the search should run on titleCache also added

#2 - 03/31/2021 12:19 PM - Andreas Miiller
- Due date set to 10/17/2016
- Start date changed from 03/31/2021 to 10/17/2016

- Follows feature request #6128: Include authorship in taxon search web service added

#3 - 03/31/2021 12:19 PM - Andreas Miiller
- Due date deleted (10/17/2016)
- Start date deleted (10/17/2016)

#4 - 04/19/2021 04:35 PM - Katja Luther
- Target version changed from Release 5.22 to Release 5.25

#5 - 04/29/2021 03:42 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

this is fixed, please review.

#6 - 04/29/2021 03:42 PM - Katja Luther
- % Done changed from 0 to 50

#7 - 05/06/2021 07:06 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

This does not work correctly yet. | searched for "Arenario Ad*" on rem_conf_am with no result. While search for "Arenario" returned taxon Arenario
Adans"

#8 - 05/06/2021 07:11 PM - Andreas Miller

The problem seems to be flag direction. With the flag NOT set, it works, with the flag set, it does not work. But it should be the other way round.

#9 - 05/07/2021 11:40 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

this should be fixed now.

#10 - 05/11/2021 05:22 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

works as expected now

#11 - 05/17/2021 09:52 AM - Andreas Muller

- Target version changed from Release 5.25 to Release 5.23

#12 - 06/03/2021 11:25 AM - Andreas Muller

- Tags changed from search, fast to search
